@charset "UTF-8";
.menu {
  position: fixed;
  z-index: 999;
  inset: 0;
  width: 100%;
  height: 100%;
  background-color: #1C1C1C;
  
}

.menu-wrapper {
  overflow: hidden;
  width: 100%;
  height: 100%;
}
.menu-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding-left: var(--12);
}
.menu-header svg path {
  fill: var(--dark-yellow);
}
.menu-header svg:hover path {
  fill: var(--yellow);
}
@media (max-width: 767.98px) {
  .menu-header {
    padding-left: 0;
    padding: var(--10) var(--20) var(--56) var(--20);
  }
}
.menu-close {
  cursor: pointer;
  width: var(--48);
  height: var(--48);
  display: flex;
  justify-content: center;
  align-items: center;
  border: var(--3) solid #ECDB1E;
  margin: var(---3) var(---3) 0 0;
  transition: 0.3s all;
  padding: var(--8);
}
.menu-close:hover {
  border-color: var(--dark-yellow);
}
.menu-close:hover svg rect {
  fill: var(--dark-yellow);
}
.menu-close svg rect {
  fill: #ECDB1E;
}
@media (max-width: 1440.98px) {
  .menu-close {
    border-width: var(--2);
    width: var(--40);
    height: var(--40);
    margin: var(---2) var(---2) 0 0;
  }
  .menu-close svg rect {
    height: var(--2);
  }
}
@media (max-width: 767.98px) {
  .menu-close {
    border-width: var(--1);
    background-color: var(--grey);
    width: var(--36);
    height: var(--36);
    padding: var(--4);
    position: fixed;
    top: var(--10);
    right: var(--20);
    margin: 0;
    z-index: 999;
  }
}
.menu-inner {
  width: 100%;
  height: 100%;
  display: flex;
  padding-top:var(--160);
  padding-bottom:var(--180);
}
.menu-scroll .scroll-content{padding: var(--30);}


@media (max-width: 1440.98px) {
  .menu-scroll .scroll-content{
    padding: var(--8);
  }
}
@media (max-width: 767.98px) {
  .menu-scroll .scroll-content{
    padding: 0;
  }
  .menu-inner{padding:0;}
}
.menu-inner .content-container{margin-top:auto;margin-bottom:auto;}

@media (max-width: 767.98px) {
  .menu-inner {
    align-items: flex-start;
  }
}
.menu-content {
  position: relative;
}
.menu-content-wrapper > li {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.menu-content-wrapper > li:not(:last-child) {
  margin-bottom: var(--40);
}
@media (max-width: 767.98px) {
  .menu-content-wrapper > li:not(:last-child) {
    margin-bottom: var(--30);
  }
}
.menu-link {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: var(--14);
  background-color: #1C1C1C;
  border: var(--1) solid #8A8A8A;
  padding: var(--30);
  font-family: "Tokeely Brookings";
  outline: var(--3) solid transparent;
  position: relative;
}
.menu-link:hover {
  outline-color: var(--yellow);
  border-color: var(--yellow);
}
.menu-link:hover span {
  color: var(--yellow);
}
.menu-link:hover svg path {
  fill: var(--yellow);
}
@media (max-width: 1440.98px) {
  .menu-link {
    padding: var(--20);
  }
}
@media (max-width: 767.98px) {
  .menu-link {
    outline-width: var(--2);
    padding: var(--16);
  }
}
.menu-link svg path {
  fill: #fff;
}
.menu-link svg {
  width: var(--18);
  flex-shrink: 0;
  height: auto;
}
@media (max-width: 1440.98px) {
  .menu-link svg {
    width: var(--16);
  }
}
@media (max-width: 767.98px) {
  .menu-link svg {
    width: var(--14);
  }
}
.menu .sub-menu {
  position: absolute;
  left: calc(100% + var(--84));
  width: 100%;
  opacity: 0;
}
.menu .sub-menu li:not(:last-child) {
  margin-bottom: var(--14);
}
@media (max-width: 1440.98px) {
  .menu .sub-menu {
    left: calc(100% + var(--64));
  }
}
@media (max-width: 767.98px) {
  .menu .sub-menu {
    position: static;
    left: unset;
  }
  .menu .sub-menu li:first-child {
    margin-top: var(--60);
  }
}

.menu-link-title {
  white-space: nowrap;
}
@media (max-width: 767.98px) {
  .menu-link-title {
    padding: var(--8);
    height: var(--52);
  }
}
.menu-link-title span {
  color: #fff;
  font-size: var(--40);
  font-family: Tokeely Brookings;
  line-height: 1;
}
@media (max-width: 1440.98px) {
  .menu-link-title span {
    font-size: var(--36);
  }
}
@media (max-width: 1440.98px) and (max-width: 767.98px) {
  .menu-link-title span {
    font-size: var(--24);
  }
}

@media (max-width: 767.98px) {
  .menu-sub-link {
    padding: var(--16) var(--10);
  }
}
.menu-sub-link span {
  font-size: var(--22);
  color: #fff;
  font-family: "JetBrains Mono";
  font-weight: 700;
  line-height: 110%;
}
@media (max-width: 1440.98px) {
  .menu-sub-link span {
    font-size: var(--20);
  }
}
@media (max-width: 767.98px) {
  .menu-sub-link span {
    font-size: calc(var(--16) + var(--1));
  }
}

.menu-divider {
  position: absolute;
  top: calc(var(--24) * -1);
  bottom: var(--24);
  left: calc(var(--24) * -1);
  height: calc(100% + var(--48));
  pointer-events: none;
  width: var(--26);
  border-style: solid;
  border-color: var(--yellow);
  border-top-width: var(--3);
  border-bottom-width: var(--3);
  border-left-width: var(--3);
}
@media (max-width: 1440.98px) {
  .menu-divider {
    border-top-width: var(--2);
    border-bottom-width: var(--2);
    border-left-width: var(--2);
  }
}
@media (max-width: 767.98px) {
  .menu-divider {
    top: calc(var(--52) + var(--40));
    left: unset;
    bottom: unset;
    width: calc(var(--40) + 100%);
    margin: 0 var(---20);
    height: var(--2);
    border-bottom: none;
    border-left: none;
  }
}

.menu-min-divider {
  width: var(--60);
  height: var(--3);
  background-color: var(--yellow);
  position: absolute;
  right: calc(var(--60) * -1);
  top: 50%;
}
@media (max-width: 1440.98px) {
  .menu-min-divider {
    right: calc(var(--40) * -1);
    width: var(--40);
  }
}
@media (max-width: 767.98px) {
  .menu-min-divider {
    right: auto;
    height: var(--40);
    width: var(--2);
    top: 100%;
    left: 50%;
  }
}

.menu-content-article .sub-menu {
  transform: translateY(-13%);
}

.menu-content-video .sub-menu {
  transform: translateY(-5%);
}

@media (max-width: 767.98px) {
  .menu .menu-content-wrapper > li {
    display: block;
  }
  .menu .sub-menu {
    transform: none !important;
  }
  .menu .menu-content-video .sub-menu,
  .menu .menu-content-article .sub-menu {
    transform: none !important;
  }
}

.menu .menu-scroll, .menu .scroll-content {
  width: 100%;
  height: 100%;
}

@media (max-width: 767.98px) {
  .menu-content > .menu-divider {
    display: none;
  }
}

.border-block {
  width: 100%;
  border: var(--3) solid var(--dark-yellow);
  flex-grow:1;
}
@media (max-width: 1440.98px) {
  .border-block {
    border-width: var(--2);
  }
}
@media (max-width: 767.98px) {
  .border-block {
    border-width: var(-1);
  }
}

@media (max-width: 767.98px) {
  .menu .border-block {
    border: none;
  }
}

.menu-mob-divider {
  height: var(--2);
  width: calc(100% + var(--40));
  margin: 0 calc(var(--20) * -1);
  background-color: var(--yellow);
  position: absolute;
  bottom: 0;
  display: none;
}
@media (max-width: 767.98px) {
  .menu-mob-divider {
    display: flex;
  }
}

@media (max-width: 767.98px) {
  .sub-menu li:last-child {
    padding-bottom: var(--20);
  }
}

.menu {
  overflow: hidden;
}

.menu-smoke {
  width: 64.7917%;
  top: 0;
  opacity: 0.6;
  transform: translate(2%, -10%) scaleX(-1);
}
@media (max-width: 1440.98px) {
  .menu-smoke {
    width: 55.6944%;
    transform: translate(2%, -10%) scaleX(-1);
  }
}
@media (max-width: 576.98px) {
  .menu-smoke {
    width: 166.1333%;
    transform: translate(20%, -1%) scaleX(-1);
  }
}
.menu-smoke:before {
  padding-top: 216.5595%;
}
.menu-smoke {
  /* ─── LOADER ─── */
}

#loader {
  position: fixed;
  inset: 0;
  /* top/right/bottom/left: 0 */
  z-index: 9999;
  background: var(--dark);
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: all;
  padding: var(--30);
  overflow: hidden;
}
@media (max-width: 1440.98px) {
  #loader {
    padding: var(--20);
  }
}
@media (max-width: 767.98px) {
  #loader {
    padding: var(--10);
  }
}

.loader-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: var(--2) solid var(--yellow);
}
@media (max-width: 767.98px) {
  .loader-wrapper {
    align-items: end;
  }
}
.loader-wrapper::before {
  content: "";
  position: absolute;
  width: 100%;
  height: var(--2);
  z-index: 999;
  background-color: var(--yellow);
  left: 0;
  right: 0;
  bottom: var(---2);
}
.loader-wrapper::after {
  content: "";
  position: absolute;
  width: 100%;
  height: var(--2);
  z-index: 999;
  background-color: var(--yellow);
  left: 0;
  right: 0;
  top: var(---2);
}

/* Обёртка для картинки + счётчика */
.loader-inner {
  position: relative;
  width: var(--464);
  height: var(--464);
  flex-shrink: 0;
}
@media (max-width: 1440.98px) {
  .loader-inner {
    width: var(--372);
    height: var(--372);
  }
}
@media (max-width: 767.98px) {
  .loader-inner {
    width: var(--265);
    height: var(--265);
  }
}

/* PNG вращается по кругу */
.loader-img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  /* gsap управляет rotation */
}

.loader-bg {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  transform: translateY(10%);
}
@media (max-width: 767.98px) {
  .loader-bg {
    transform: translateY(0%);
  }
}
.loader-bg img {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: auto;
  -o-object-fit: contain;
     object-fit: contain;
  --glow-blur: 80px;
  --glow-alpha: 0.45;
  filter: drop-shadow(0 0 var(--glow-blur) rgba(236, 219, 30, var(--glow-alpha)));
  will-change: filter;
}
@media (max-width: 1440.98px) {
  .loader-bg img {
    transform: translateY(1%);
  }
}

.loader-block {
  position: relative;
  display: flex;
  justify-content: center;
}
@media (max-width: 767.98px) {
  .loader-block {
    flex-direction: column;
  }
}

.loader-text {
  position: absolute;
  top: 100%;
  transform: translateY(var(--16));
  font-size: var(--36);
  font-family: "Tokeely Brookings", sans-serif;
  text-transform: uppercase;
  text-align: center;
  color: var(--yellow);
  white-space: nowrap;
  line-height: 0.8;
}
@media (max-width: 1440.98px) {
  .loader-text {
    font-size: calc(var(--36) - var(--2));
  }
}
@media (max-width: 767.98px) {
  .loader-text {
    font-size: var(--26);
    transform: unset;
    position: static;
    transform: unset;
    margin-bottom: var(--40);
  }
}

.loader-percent {
  pointer-events: none;
  /* начинаем с 0 */
  --pct: 0;
  font-size: calc(var(--36) - var(--2));
  font-family: "Tokeely Brookings", sans-serif;
  text-transform: uppercase;
  color: var(--yellow);
  white-space: nowrap;
  line-height: 1r;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  inset: 0;
}
@media (max-width: 1440.98px) {
  .loader-percent {
    font-size: var(--28);
  }
}
@media (max-width: 767.98px) {
  .loader-percent {
    font-size: var(--22);
  }
}

.footer {
  position: relative;
  z-index: 1;
}